# bitset.hxx File Reference

Bitset class implementaion. More...

Include dependency graph for bitset.hxx:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.
namespace | vcsn::misc

| The namespace for miscellaneous constructs.
namespace | std

| Declaring the traits for SupportIterator, according to the STL.

## Functions

std::ostream & | operator<< (std::ostream &ostr, const Bitset &set)
| Print a bitset onto an output stream.
template<>
void | swap (vcsn::misc::Bitset &lhs, vcsn::misc::Bitset &rhs)
| Specialized swap.

## Detailed Description

Bitset class implementaion.

Author:
  Thomas Claveirole <thomas@lrde.epita.fr>

Definition in file bitset.hxx.